<?php

/* ========================================================================
 * $Id: menu.right.php 730 2020-07-08 22:52:28Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onez.cn
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
$superUserId=$G['this']->site['userid'];
$onezInfoFile=ONEZ_CACHE_PATH.'/plugins/bs/infos/users/'.$superUserId.'.php';
if(!file_exists($onezInfoFile) || filemtime($onezInfoFile)<time()-3600){
  $onezInfo=onez('bs.app.shipments')->onezapi('data','/info.onez');
  onez()->write($onezInfoFile,"<?php\n!defined('IN_ONEZ') && exit('Access Denied');\nreturn ".var_export($onezInfo,1).";\n");
}else{
  $onezInfo=include($onezInfoFile);
}
$Menu=array();
$Menu[]=array (
  'name' => '技术支持',
  'href' => $onezInfo['href']?$onezInfo['href']:'/onez/view.php?key=/page/info',
  'path' => '/onez/',
  'num' => $onezInfo['newMsgNum'],
  'icon' => '',
  'group' => '',
);
return $Menu;
